Java.com

Загрузить Справка

Версия для печати

Почему я продолжаю получать запрос на установку Java после обновления до macOS Sierra (10.12), El Capitan (OS X 10.11) или Yosemite (OS X 10.10)?


Этот раздел касается:
  • Платформы: Mac OS X, macOS

ПРИЗНАКИ

Даже после обновления Java до последней версии, при запуске некоторых приложений в macOS Sierra (10.12), El Capitan (OS X 10.11) или Yosemite (OS X 10.10) отображается диалоговое окно с предложением скачать Java.

Сообщение macOS Sierra 10.12 или Yosemite (OS X 10.10):

Чтобы открыть "приложение", требуется установить устаревшую среду выполнения Java SE 6.

Сообщение El Capitan (OS X 10.11):

Чтобы использовать инструмент командной строки "java", необходимо установить JDK


ПРИЧИНА

Скорее всего это происходит, потому что для приложения требуется устаревшая версия Java 6, предоставляемая Apple. Сведения о решении этой проблемы см. на странице http://support.apple.com/kb/DL1572.


Дополнительные ресурсы:




Выбрать язык | О Java | Поддержка | Разработчики | Заявление об ограничении ответственности
Конфиденциальность  | Условия использования | Товарные знаки

Oracle